package m05bRevisionesEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05Revisiones</tt>.
 */
public class m05RevisionesPK implements java.io.Serializable {

  /** 
   * This is the primary key.
   * It is the tasa codigo, which is the primary key 
   * in table <tt>m0527t00</tt>.
   */
  public String rev_codigo;

  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean   
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05RevisionesPK) {
      m05RevisionesPK otherKey = (m05RevisionesPK) obj;
      if (this.rev_codigo == otherKey.rev_codigo){
        return true;
      }
      else{
          return false;
      }
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {

    return (this.rev_codigo.hashCode());
  }
  
}
